curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad Request"
}{
"message": "ShipMethod Not Found."
}{
"message": "Internal Server Error"
}Delete shipping method
Deletes a shipping method by its ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
24-character system-generated unique ID of shipping method
Response
OK
Details of shipping method
Shipping method name
"Express Delivery"
Brief description of shipping method
"Express Delivery 2 - 5 days"
Tax code based on the state
"tax_1"
Minimum days for delivery
2
Maximum days for delivery
5
Cut off delivery time
1330
Shipping cost
20
Sales channel
"12"
User who created the shipping method
"User1"
Address type of delivery
"APO"
24-character system-generated unique shipping method ID. Optional in the request body
"5349b4ddd2781d08c09890f4"
Region or state of shipping
"CA"
true: Shipping method is deleted
false: Shipping method is active
false
User who last modified the shipping method
"User2"
User who configured the shipping method
"User3"
Min-max value
Show child attributes
Show child attributes
Min-max value
Show child attributes
Show child attributes
Min-Max dimension details
Show child attributes
Show child attributes
Time of shipping method creation
Time of shipping method creation
Was this page helpful?
